Bug 496244 - Review Request: vlna - add non-breakable spaces after prepositions in TeX documents
Review Request: vlna - add non-breakable spaces after prepositions in TeX doc...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matěj Cepl
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-04-17 10:17 EDT by Jan "Yenya" Kasprzak
Modified: 2009-04-22 10:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-22 10:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mcepl: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2009-04-17 10:17:03 EDT
Spec URL: ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/vlna/vlna.spec
SRPM URL: ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/vlna/vlna-1.3-1.fc10.src.rpm
Description: 
Program vlna adds ties (Czech vlna or vlnka) after nonsyllabic prepositions
(instead of spaces) in the TeX source files. This prevents line breaks
at undesirable spaces.

[Note: it is my first Fedora package, so I need a sponsor]
Comment 1 Matěj Cepl 2009-04-17 10:39:56 EDT
Taking the review (as a small repayment for all pain and suffering I have caused you ;-)). Plus I can sponsor you.
Comment 2 Jan "Yenya" Kasprzak 2009-04-17 10:46:17 EDT
No pain or suffering on my side :-). Thanks for your time, though.
Comment 3 Matěj Cepl 2009-04-17 17:24:24 EDT
+ rpmlint must be run on every package.
  rpmlint is NOT silent:
	[matej@viklef redhat]$ rpmlint SRPMS/vlna-1.3-1.fc11.src.rpm
	vlna.src: W: invalid-license TeX-like

The license is (in Czech):

Program poskytuji k veřejnému použití. Pokud někdo udělá užitečné
změny ve zdrojovém textu CWEB, chtěl bych být o tom informován. Bez
souhlasu autora nemůže být změněný program šířen pod stejným názvem.

Nedávám žádnou záruku, že program nepoškodí mnohahodinovou práci,
kterou uživatelé editovali. Program sice vytváří zálohové soubory, ale
ty se při dalším použití programu mažou.

and in English:

The program may be freely used. If somebody makes useful changes
in the CWEB source code, I want to be informed about it. The
modified version must not be distributed under the same name
without author's consent. Neither the program nor its modification
must be selled.

The author gives no warranty that the program will not damage your
file that you have been editing for many hours. Although the program
creates backup files, these files are deleted after subsequent use
of the program.

---

English is pretty bad, but as both of us can see it more or less faithfully conveyes the meaning in Czech. And unfortunately "Neither the program nor its modification must be selled." says to me pretty clearly (English is horrible, but Czech text is clear in this) that it could be distributed only non-commercially, which for Fedora (and other Linux distros) unfortunately means stop sign.

Closing this review as WONTFIX, because there is not much we can do about it. Please, try to persuade Petr as the upstream author to relicense under some more common (e.g., OSI/FSF approved) license.

I am really sorry about this, but there is not much we can do about this.
Comment 4 Matěj Cepl 2009-04-17 17:28:52 EDT
(In reply to comment #3)
> And unfortunately "Neither the program nor its
> modification must be selled." says to me pretty clearly (English is horrible,
> but Czech text is clear in this) that it could be distributed only
> non-commercially, which for Fedora (and other Linux distros) unfortunately
> means stop sign.

It's too late, and I am too tired ... no Czech is not clear about this, actually Czech license doesn't correspond with the English one, which is too bad because obviously every English-speaking person (e.g., most of Fedora people) will look only in the English license.

We really need some input from the author of the program.
Comment 5 Jan "Yenya" Kasprzak 2009-04-17 17:35:27 EDT
OK, I will ask the upstream author. Thanks for your time.
Comment 6 Jan "Yenya" Kasprzak 2009-04-17 17:54:24 EDT
Speaking of which, the (Czech language) license is really TeX-like, which means the texlive package (as of texlive-2007-35.fc10.x86_64 in Fedora 10) also has an incorrect License attribute:

$ rpm -qi texlive|grep License
Size        : 4431291                          License: GPLv2 and BSD and Public Domain and LGPLv2+ and GPLv2+ and LPPL

None of the above licenses apply to the TeX itself (and Metafont too). TeX can be distributed, but cannot be modified and distributed under the same name, unless the result passes the TRIP test. Should I fill a bug report for the TeXlive package too?
Comment 7 Matěj Cepl 2009-04-17 19:09:18 EDT
(In reply to comment #6)
> None of the above licenses apply to the TeX itself (and Metafont too). TeX can
> be distributed, but cannot be modified and distributed under the same name,
> unless the result passes the TRIP test. Should I fill a bug report for the
> TeXlive package too?  

Could you please contact jnovy at redhat.com (maintainer of the TeXLive monster) what he thinks about that? I know for sure it was fought to the ground in the Debian world (if you ever read at least one thread at debian-legal you can understand why; apparently one piece of this debate was http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=153257) and I don't want to step to this hornets nest unnecessarily.
Comment 8 Matěj Cepl 2009-04-21 07:30:20 EDT
OK, let's try once more. There is fixed upstream tarball with new release of the package
ftp://ftp.linux.cz/pub/linux/people/jan_kasprzak/vlna/vlna-1.3-2.fc10.src.rpm with fixed license:

Program distribution:
---------------------

The program may be freely used. If somebody makes useful changes
in the CWEB source code, I want to be informed about it. The
modified version must not be distributed under the same name
without author's consent.

The author gives no warranty that the program will not damage your
file that you have been editing for many hours. Although the program
creates backup files, these files are deleted after subsequent use
of the program.

-----------------------------------

I will try to make it through fedora-legal and let's see, where it ends.
Comment 9 Tom "spot" Callaway 2009-04-21 13:38:44 EDT
Ugh. I just _LOVE_ crappy licenses.

This license has no explicit right to copy, modify, or redistribute. There is an implicit grant for modification, but I would prefer that it was explicit.

As is, I'm going to have to say no. Please ask upstream if they can use an established license, like MIT (https://fedoraproject.org/wiki/Licensing/MIT#Old_Style) or LPPL (http://www.latex-project.org/lppl/lppl-1-3a.txt).
Comment 10 Jan "Yenya" Kasprzak 2009-04-22 10:25:52 EDT
I have asked upstream about the possible license change, and the author has
declined with rather long explanation. So, if the current license is not acceptable, close this bug.
Comment 11 Lubomir Rintel 2009-04-22 10:43:34 EDT
You may want to import the package into RPM Fusion instead.

Note You need to log in before you can comment on or make changes to this bug.